.text;
.globl _setfsuid;
.globl _setfsgid;

.align 4;
_setfsuid:;
	pushl	%ebp;
	movl	%esp,%ebp;
	pushl	%ebx;
	movl	$(138),%eax;
	movl	8(%ebp),%ebx;
	int	$0x80;
	test	%eax,%eax;
	jge	Uexit;
	negl	%eax;
	movl	%eax,_errno;
	movl 	$-1,%eax;
Uexit:	popl	%ebx;
	movl	%ebp,%esp;
	popl	%ebp;  
	ret

.align 4;
_setfsgid:;
	pushl	%ebp;
	movl	%esp,%ebp;
	pushl	%ebx;
	movl	$(139),%eax;
	movl	8(%ebp),%ebx;
	int	$0x80;
	test	%eax,%eax;
	jge	Gexit;
	negl	%eax;
	movl	%eax,_errno;
	movl 	$-1,%eax;
Gexit:	popl	%ebx;
	movl	%ebp,%esp;
	popl	%ebp;  
	ret
